<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row p-8 overflow-auto m-t-5">
      <div class=".icon-container full-height flex-fixed-size">
        <i
          nz-icon
          class="font-50-px p-r-10 m-5"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FF0000'"
        ></i>
      </div>
      <ng-container>
        <div class="flex-column">
          <span
            [attr.data-test-dialog-message]="true"
            [innerHTML]="configuration.messageKey | translate"
          ></span>
          @if (configuration.cleaningType == CleaningTypes.AUTOMATED_SUITE) {
            <div>
              <span>{{
                'sqtm-core.administration-workspace.system.cleaning.dialog.automated-suites.label'
                  | translate
              }}</span>
              <span class="m-l-4">{{
                configuration.automationDeletionCount.oldAutomatedSuiteCount
              }}</span>
            </div>
            <div>
              <span>{{
                'sqtm-core.administration-workspace.system.cleaning.dialog.automated-executions.label'
                  | translate
              }}</span>
              <span class="m-l-4">{{
                configuration.automationDeletionCount.oldAutomatedExecutionCount
              }}</span>
            </div>
          }
          <span class="m-t-5">{{
            'sqtm-core.administration-workspace.system.cleaning.dialog.confirm-message'
              | translate
          }}</span>
        </div>
      </ng-container>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'delete'"
      class="flex-fixed-size sqtm-core-delete-button danger-icon"
      nz-button
      nzType="primary"
      [nzLoading]="loading"
      (click)="confirm()"
    >
      @if (configuration.cleaningType == CleaningTypes.AUTOMATED_SUITE) {
        {{ 'sqtm-core.generic.label.delete' | translate }}
      } @else {
        {{
          'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.attachment-prune.confirm-button'
            | translate
        }}
      }
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
